# V3RunbooksUpdationInfo

Represents information about the creation or updation of an entity.

## Example Usage

```typescript
import { V3RunbooksUpdationInfo } from "@solarwinds/squadcast-sdk-typescript/models";

let value: V3RunbooksUpdationInfo = {
  userName: "Katelyn.Gottlieb",
  usernameForDisplay: "<value>",
  userId: "<id>",
  at: new Date("2024-01-23T11:29:53.905Z"),
};
```

## Fields

| Field                | Type                                                                                          | Required             | Description                                            |
| -------------------- | --------------------------------------------------------------------------------------------- | -------------------- | ------------------------------------------------------ |
| `userName`           | *string*                                                                                      | :heavy\_check\_mark: | The full name of the user who performed the action.    |
| `usernameForDisplay` | *string*                                                                                      | :heavy\_check\_mark: | The display name of the user who performed the action. |
| `userId`             | *string*                                                                                      | :heavy\_check\_mark: | The ID of the user who performed the action.           |
| `at`                 | [Date](https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/Date) | :heavy\_check\_mark: | The timestamp of the action.                           |
| `entityOwner`        | [models.CommonV3EntityOwner](/typescript/docs/models/commonv3entityowner.md)                  | :heavy\_minus\_sign: | The owner of the entity at the time of the action.     |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.incidents.cloud.solarwinds.com/typescript/docs/models/v3runbooksupdationinfo.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
